// Shader: /Shaders/Shadows/Framebuffer/Coordinate.vsh
//

#version 110

uniform mat4 u_ModelMatrix;

attribute vec4 in_Vertex;
varying vec4 out_FragCoord;

void main()
{
    out_FragCoord = u_ModelMatrix * in_Vertex;

    gl_Position = gl_ModelViewProjectionMatrix * in_Vertex;
}