// Shader: /Shaders/Shadows/Framebuffer/Combine.fsh
//

#version 110

#extension GL_ARB_texture_rectangle : enable

uniform sampler2DRect u_TexStencil;
uniform sampler2DRect u_TexCoverage;

void main()
{  
    float St = texture2DRect( u_TexStencil, gl_FragCoord.xy ).a;
    float Coverage = texture2DRect( u_TexCoverage, gl_FragCoord.xy ).a;
    
    gl_FragColor.a = (St * 255.0 - 127.0) + Coverage;
}