// Shader: /Shaders/Shadow/ShadowVolume/ShadowVolume.vsh
//

#version 110

struct LightSource
{
    vec3 Position;
};

uniform LightSource u_LightSource;

attribute vec3 in_Vertex;
attribute float in_WCoord;

void main()
{ 
    vec3 Position = u_LightSource.Position - u_LightSource.Position * in_WCoord;
    
//#ifdef ALPHA
    gl_FrontColor = gl_Color;
    gl_BackColor = gl_Color;
//#endif
    gl_Position = gl_ModelViewProjectionMatrix * vec4( in_Vertex - Position, in_WCoord );    
}